# Uses of Enum Class
java.awt.MultipleGradientPaint.ColorSpaceType

Packages that use MultipleGradientPaint.ColorSpaceType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of MultipleGradientPaint.ColorSpaceType in java.awt

Methods in java.awt that return MultipleGradientPaint.ColorSpaceType
Modifier and Type
Method
Description
`MultipleGradientPaint.ColorSpaceType`
MultipleGradientPaint.`getColorSpace()`
Returns the enumerated type which specifies color space for interpolation.
`static MultipleGradientPaint.ColorSpaceType`
MultipleGradientPaint.ColorSpaceType.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static MultipleGradientPaint.ColorSpaceType[]`
MultipleGradientPaint.ColorSpaceType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in java.awt with parameters of type MultipleGradientPaint.ColorSpaceType
Modifier
Constructor
Description
``
`LinearGradientPaint​(Point2D start, Point2D end, float[] fractions, Color[] colors, MultipleGradientPaint.CycleMethod cycleMethod, MultipleGradientPaint.ColorSpaceType colorSpace, AffineTransform gradientTransform)`
Constructs a `LinearGradientPaint`.
``
`RadialGradientPaint​(Point2D center, float radius, Point2D focus, float[] fractions, Color[] colors, MultipleGradientPaint.CycleMethod cycleMethod, MultipleGradientPaint.ColorSpaceType colorSpace, AffineTransform gradientTransform)`
Constructs a `RadialGradientPaint`.